libzypp: zypp-curl/ng/network/private/mediadebug_p.h File Reference

libzypp 17.38.14

mediadebug_p.h File Reference
`#include <zypp-core/base/LogControl.h>`

Go to the source code of this file.

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "ZYPP_MEDIA_CURL"
#define | XXX_MEDIA L_XXX_MEDIA( ZYPP_BASE_LOGGER_LOGGROUP )
#define | DBG_MEDIA L_DBG_MEDIA( ZYPP_BASE_LOGGER_LOGGROUP )
#define | MIL_MEDIA L_MIL_MEDIA( ZYPP_BASE_LOGGER_LOGGROUP )
#define | WAR_MEDIA L_WAR_MEDIA( ZYPP_BASE_LOGGER_LOGGROUP )
#define | ERR_MEDIA L_ERR_MEDIA( ZYPP_BASE_LOGGER_LOGGROUP )
#define | SEC_MEDIA L_SEC_MEDIA( ZYPP_BASE_LOGGER_LOGGROUP )
#define | INT_MEDIA L_INT_MEDIA( ZYPP_BASE_LOGGER_LOGGROUP )
#define | USR_MEDIA L_USR_MEDIA( ZYPP_BASE_LOGGER_LOGGROUP )
#define | L_XXX_MEDIA(GROUP)
#define | L_DBG_MEDIA(GROUP)
#define | L_MIL_MEDIA(GROUP)
#define | L_WAR_MEDIA(GROUP)
#define | L_ERR_MEDIA(GROUP)
#define | L_SEC_MEDIA(GROUP)
#define | L_INT_MEDIA(GROUP)
#define | L_USR_MEDIA(GROUP)

## Functions
| L_ENV_CONSTR_FWD_DECLARE_FUNC (ZYPP_MEDIA_CURL_DEBUG)

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "ZYPP_MEDIA_CURL"

Definition at line 25 of file mediadebug_p.h.

## ◆ XXX_MEDIA

#define XXX_MEDIA L_XXX_MEDIA( ZYPP_BASE_LOGGER_LOGGROUP )

Definition at line 27 of file mediadebug_p.h.

## ◆ DBG_MEDIA

#define DBG_MEDIA L_DBG_MEDIA( ZYPP_BASE_LOGGER_LOGGROUP )

Definition at line 28 of file mediadebug_p.h.

## ◆ MIL_MEDIA

#define MIL_MEDIA L_MIL_MEDIA( ZYPP_BASE_LOGGER_LOGGROUP )

Definition at line 29 of file mediadebug_p.h.

## ◆ WAR_MEDIA

#define WAR_MEDIA L_WAR_MEDIA( ZYPP_BASE_LOGGER_LOGGROUP )

Definition at line 30 of file mediadebug_p.h.

## ◆ ERR_MEDIA

#define ERR_MEDIA L_ERR_MEDIA( ZYPP_BASE_LOGGER_LOGGROUP )

Definition at line 31 of file mediadebug_p.h.

## ◆ SEC_MEDIA

#define SEC_MEDIA L_SEC_MEDIA( ZYPP_BASE_LOGGER_LOGGROUP )

Definition at line 32 of file mediadebug_p.h.

## ◆ INT_MEDIA

#define INT_MEDIA L_INT_MEDIA( ZYPP_BASE_LOGGER_LOGGROUP )

Definition at line 33 of file mediadebug_p.h.

## ◆ USR_MEDIA

#define USR_MEDIA L_USR_MEDIA( ZYPP_BASE_LOGGER_LOGGROUP )

Definition at line 34 of file mediadebug_p.h.

## ◆ L_XXX_MEDIA

#define L_XXX_MEDIA | ( |  | GROUP | ) |

Value:
L_ENV_CONSTR( ZYPP_MEDIA_CURL_DEBUG, GROUP, zypp::base::logger::E_XXX )
L_ENV_CONSTR
#define L_ENV_CONSTR(ENV, GROUP, LEVEL)
Definition Logger.h:134
zypp::base::logger::E_XXX
@ E_XXX
Excessive logging.
Definition Logger.h:160

Definition at line 36 of file mediadebug_p.h.

## ◆ L_DBG_MEDIA

#define L_DBG_MEDIA | ( |  | GROUP | ) |

Value:
L_ENV_CONSTR( ZYPP_MEDIA_CURL_DEBUG, GROUP"++", zypp::base::logger::E_MIL )
zypp::base::logger::E_MIL
@ E_MIL
Milestone.
Definition Logger.h:162

Definition at line 37 of file mediadebug_p.h.

## ◆ L_MIL_MEDIA

#define L_MIL_MEDIA | ( |  | GROUP | ) |

Value:
L_ENV_CONSTR( ZYPP_MEDIA_CURL_DEBUG, GROUP, zypp::base::logger::E_MIL )

Definition at line 38 of file mediadebug_p.h.

## ◆ L_WAR_MEDIA

#define L_WAR_MEDIA | ( |  | GROUP | ) |

Value:
L_ENV_CONSTR( ZYPP_MEDIA_CURL_DEBUG, GROUP, zypp::base::logger::E_WAR )
zypp::base::logger::E_WAR
@ E_WAR
Warning.
Definition Logger.h:163

Definition at line 39 of file mediadebug_p.h.

## ◆ L_ERR_MEDIA

#define L_ERR_MEDIA | ( |  | GROUP | ) |

Value:
L_ENV_CONSTR( ZYPP_MEDIA_CURL_DEBUG, GROUP, zypp::base::logger::E_ERR )
zypp::base::logger::E_ERR
@ E_ERR
Error.
Definition Logger.h:164

Definition at line 40 of file mediadebug_p.h.

## ◆ L_SEC_MEDIA

#define L_SEC_MEDIA | ( |  | GROUP | ) |

Value:
L_ENV_CONSTR( ZYPP_MEDIA_CURL_DEBUG, GROUP, zypp::base::logger::E_SEC )
zypp::base::logger::E_SEC
@ E_SEC
Secutrity related.
Definition Logger.h:165

Definition at line 41 of file mediadebug_p.h.

## ◆ L_INT_MEDIA

#define L_INT_MEDIA | ( |  | GROUP | ) |

Value:
L_ENV_CONSTR( ZYPP_MEDIA_CURL_DEBUG, GROUP, zypp::base::logger::E_INT )
zypp::base::logger::E_INT
@ E_INT
Internal error.
Definition Logger.h:166

Definition at line 42 of file mediadebug_p.h.

## ◆ L_USR_MEDIA

#define L_USR_MEDIA | ( |  | GROUP | ) |

Value:
L_ENV_CONSTR( ZYPP_MEDIA_CURL_DEBUG, GROUP, zypp::base::logger::E_USR )
zypp::base::logger::E_USR
@ E_USR
User log.
Definition Logger.h:167

Definition at line 43 of file mediadebug_p.h.

## Function Documentation

## ◆ L_ENV_CONSTR_FWD_DECLARE_FUNC()

L_ENV_CONSTR_FWD_DECLARE_FUNC | ( | ZYPP_MEDIA_CURL_DEBUG |  | ) |